Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.access
Class FileDataElement

    java.lang.Object
      ru.biosoft.access.DataElementSupport
          ru.biosoft.access.FileDataElement

All Implemented Interfaces:
  DataElement

public class FileDataElement
extends DataElementSupport

FileDataElement is DataElement which wraps the File object. This class is used for storing of objects that have file representation.

Version:
  1.0
Author:
  DevelopmentOnTheEdge

Field Summary
`protected java.io.File` | `file` File stored in this FileDataElement

Constructor Summary
`FileDataElement(java.lang.String name, DataCollection origin, java.io.File parent)` Constructs FileDataElement with specified name,parent DataCollection,and parent subdirectory
`FileDataElement(java.lang.String name, DataCollection origin, java.lang.String parent)` Constructs FileDataElement with specified name,parent DataCollection,and name of parent subdirectory
`FileDataElement(java.lang.String name, FileCollection origin)` Constructs FileDataElement with specified name and parent DataCollection

Method Summary
`java.io.File` | `getFile()` Return file of this DataElement
`void` | `setFile(java.io.File file)` Sets new file.

Methods inherited from class ru.biosoft.access.DataElementSupport
`getName, getOrigin, registerConstructorWithBadEqual, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### file

    protected java.io.File file

  File stored in this FileDataElement

Constructor Detail

### FileDataElement

    public FileDataElement(java.lang.String name,
                           DataCollection origin,
                           java.io.File parent)

  Constructs FileDataElement with specified name,parent DataCollection,and parent subdirectory

Parameters:
  `name` - name of DataElement
  `origin` - parent DataCollection
  `parent` - parent subdirectory

### FileDataElement

    public FileDataElement(java.lang.String name,
                           DataCollection origin,
                           java.lang.String parent)

  Constructs FileDataElement with specified name,parent DataCollection,and name of parent subdirectory

Parameters:
  `name` - name of DataElement
  `origin` - parent DataCollection
  `parent` - name of parent subdirectory

### FileDataElement

    public FileDataElement(java.lang.String name,
                           FileCollection origin)

  Constructs FileDataElement with specified name and parent DataCollection

Parameters:
  `name` - name of DataElement
  `origin` - parent DataCollection

Method Detail

### getFile

    public java.io.File getFile()

  Return file of this DataElement

  Returns:
    file of this DataElement

### setFile

    public void setFile(java.io.File file)
                 throws java.lang.Exception

  Sets new file.

  Parameters:
    `file` - new file
  Throws:
    `java.lang.Exception` - If name of DataElement does not equal name of new file.

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.